put/customer/by-id

Update Customer

Update an existing customer's display name and optional email address. Email addresses must be unique within a team.

Authentication required: Bearer Token in Authorization header.

Parameters

Idempotency-Key
headerstring

Use a unique value to safely retry this request without repeating its effects.

Example<IDEMPOTENCY-KEY>

Request Body (application/json)

namerequired
string
customerIdrequired
string

The unique identifier of the customer to update

email
string

Responses

200Customer updated successfully
409Another customer in this team already uses the submitted email address

Response Body (200)

action
string
status
boolean
code
integer
Request Example
curl -X PUT "https://api.keymint.dev/customer/by-id" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "email": "user@example.com",
  "customerId": "string"
}'
Response (200 OK)
{
  "action": "updateCustomer",
  "status": true,
  "code": 0
}